Dataset Items

get

Retrieves multiple dataset items.

Query parameters
datasetIdstringRequired
pageNumbernumber · min: 1Optional

The page number.

Default: 1
pageSizenumber · min: 1 · max: 100Optional

The page size.

Default: 10
searchstring · min: 1Optional

Search term to filter dataset items by name or description.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves all dataset items for the workspace.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
datasetIdstring · uuidRequired

The dataset ID associated with the dataset item.

descriptionstring · min: 3 · max: 250Required

The internal description of the dataset item.

filestringRequired

The file payload or file reference associated with the dataset item.

namestring · min: 3 · max: 50Required

The display name of the dataset item.

statusstring · enumRequired

The processing status of the dataset item.

Possible values:
get
/api/v1/dataset-items
post

Creates a new dataset item.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
datasetIdstring · uuidRequired

The dataset ID associated with the dataset item.

filestringRequired

A base64 encoded string with prefix.

Pattern: ^data:.*;base64,
Responses
200

The dataset item was created.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
datasetIdstring · uuidRequired

The dataset ID associated with the dataset item.

descriptionstring · min: 3 · max: 250Required

The internal description of the dataset item.

filestringRequired

The file payload or file reference associated with the dataset item.

namestring · min: 3 · max: 50Required

The display name of the dataset item.

statusstring · enumRequired

The processing status of the dataset item.

Possible values:
post
/api/v1/dataset-items
get

Retrieves a dataset item.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves a dataset item.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
datasetIdstring · uuidRequired

The dataset ID associated with the dataset item.

descriptionstring · min: 3 · max: 250Required

The internal description of the dataset item.

filestringRequired

The file payload or file reference associated with the dataset item.

namestring · min: 3 · max: 50Required

The display name of the dataset item.

statusstring · enumRequired

The processing status of the dataset item.

Possible values:
contentstringRequired
get
/api/v1/dataset-items/{id}
delete

Removes a dataset item.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

The dataset item was removed.

application/json
messagestringRequired

An informative message for a call that has no effective result to be returned.

delete
/api/v1/dataset-items/{id}
patch

Updates a dataset item.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
descriptionstring · min: 3 · max: 250Optional

The internal description of the dataset item.

filestringOptional

The file payload or file reference associated with the dataset item.

namestring · min: 3 · max: 50Optional

The display name of the dataset item.

statusstring · enumOptional

The processing status of the dataset item.

Possible values:
contentstringOptional
Responses
200

The dataset item was updated.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
datasetIdstring · uuidRequired

The dataset ID associated with the dataset item.

descriptionstring · min: 3 · max: 250Required

The internal description of the dataset item.

filestringRequired

The file payload or file reference associated with the dataset item.

namestring · min: 3 · max: 50Required

The display name of the dataset item.

statusstring · enumRequired

The processing status of the dataset item.

Possible values:
patch
/api/v1/dataset-items/{id}

Last updated